<?php

/**
 * Twenty Twelve  child functions and definitions.
 *
 * Sets up the theme and provides some helper functions, which are used
 * in the theme as custom template tags. Others are attached to action and
 * filter hooks in WordPress to change core functionality.
 *
 * When using a child theme (see http://codex.wordpress.org/Theme_Development and
 * http://codex.wordpress.org/Child_Themes), you can override certain functions
 * (those wrapped in a function_exists() call) by defining them first in your child theme's
 * functions.php file. The child theme's functions.php file is included before the parent
 * theme's file, so the child theme functions would be used.
 *
 * Functions that are not pluggable (not wrapped in function_exists()) are instead attached
 * to a filter or action hook.
 *
 * For more information on hooks, actions, and filters, see http://codex.wordpress.org/Plugin_API.
 *
 * @package WordPress
 * @subpackage Twenty_Twelve
 * @since Twenty Twelve 1.0
 */
  
function custom_excerpt_length( $length ) {
	return 40;
}
add_filter( 'excerpt_length', 'custom_excerpt_length', 999 );

function new_excerpt_more( $more ) {
	return '<p><span class="more-link"><a href="'. get_permalink( get_the_ID() ) . '">Continue Reading</a></span></p>';
}
add_filter( 'excerpt_more', 'new_excerpt_more' );

function twentytwelve_credits_handler_for_crisp(){
    ?>
    <a href="http://www.tipsandtricks-hq.com/twenty-twelve-child-theme-for-wordpress-polished-5167" title="Twenty twelve child theme crisp">Child Theme</a> Designed by Tips and Tricks HQ |
    <?php
}
add_action( 'twentytwelve_credits', 'twentytwelve_credits_handler_for_crisp' );
